Ipelib

Public Member Functions | List of all members
ipe::InflateSource Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::DataSource.

## Public Member Functions
| InflateSource (DataSource &source)
virtual | ~InflateSource ()
virtual int | getChar ()
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0
virtual int | getChar ()=0
virtual int | length () const
virtual void | setPosition (int pos)
virtual int | position () const

## Detailed Description

Filter source adding flate decompression.

## Constructor & Destructor Documentation

## ◆ InflateSource()

InflateSource::InflateSource | ( | DataSource & | source | ) |

References ipe::Buffer::data().

## ◆ ~InflateSource()

InflateSource::~InflateSource | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getChar()

int InflateSource::getChar | ( |  | ) |
| virtual

Get one more character, or EOF.

Implements ipe::DataSource.

References ipe::Buffer::data(), and ipe::Buffer::size().

Referenced by ipe::PdfDict::inflate().

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp